Package org.eclipse.graphiti.ui.internal.policy

# Class ConnectionBendpointEditPolicy

java.lang.Object
org.eclipse.gef.editpolicies.AbstractEditPolicy
org.eclipse.gef.editpolicies.GraphicalEditPolicy
org.eclipse.gef.editpolicies.SelectionEditPolicy
org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
org.eclipse.graphiti.ui.internal.policy.BendpointEditPolicyFixed
org.eclipse.graphiti.ui.internal.policy.ConnectionBendpointEditPolicy

All Implemented Interfaces:
  `PropertyChangeListener`, `EventListener`, `org.eclipse.core.runtime.IAdaptable`, `org.eclipse.gef.EditPolicy`, `org.eclipse.gef.RequestConstants`

public class ConnectionBendpointEditPolicy extends BendpointEditPolicyFixed

## Field Summary

### Fields inherited from class org.eclipse.graphiti.ui.internal.policy.BendpointEditPolicyFixed

`isDeleting, NULL_CONSTRAINT, originalConstraint, ref1, ref2`

### Fields inherited from class org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy

`handles`

### Fields inherited from interface org.eclipse.gef.EditPolicy

`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

## Constructor Summary

Constructors
Constructor
Description
`ConnectionBendpointEditPolicy(IConfigurationProviderInternal configurationProvider)`

## Method Summary

Modifier and Type
Method
Description
`void`
`activate()`
`activate()` is extended to add a listener to the `Connection` figure.
`protected List<org.eclipse.gef.handles.BendpointHandle>`
`createHandlesForAutomaticBendpoints()`
`protected List<org.eclipse.gef.handles.BendpointHandle>`
`createHandlesForUserBendpoints()`
`protected org.eclipse.gef.commands.Command`
`getCreateBendpointCommand(org.eclipse.gef.requests.BendpointRequest request)`
Implement this method to return a Command that will create a bendpoint.
`protected org.eclipse.gef.commands.Command`
`getDeleteBendpointCommand(org.eclipse.gef.requests.BendpointRequest request)`
Implement this method to return a Command that will delete a bendpoint.
`protected org.eclipse.gef.commands.Command`
`getMoveBendpointCommand(org.eclipse.gef.requests.BendpointRequest request)`
Implement this method to return a Command that will move a bendpoint.
`protected void`
`setReferencePoints(org.eclipse.gef.requests.BendpointRequest request)`
`protected void`
`showCreateBendpointFeedback(org.eclipse.gef.requests.BendpointRequest request)`
Shows feedback when a bendpoint is being created.
`protected void`
`showMoveBendpointFeedback(org.eclipse.gef.requests.BendpointRequest request)`
Shows feedback when a bendpoint is being moved.
`protected void`
`showSelection()`

### Methods inherited from class org.eclipse.graphiti.ui.internal.policy.BendpointEditPolicyFixed

`createSelectionHandles, deactivate, eraseConnectionFeedback, eraseSourceFeedback, getCommand, getConfigurationProvider, getConnection, getConnectionRoutingConstraint, getFeatureProvider, isAutomaticallyBending, lineContainsPoint, propertyChange, restoreOriginalConstraint, saveOriginalConstraint, showDeleteBendpointFeedback, showSourceFeedback`

### Methods inherited from class org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy

`addSelectionHandles, getAdapter, hideSelection, removeSelectionHandles`

### Methods inherited from class org.eclipse.gef.editpolicies.SelectionEditPolicy

`addSelectionListener, getTargetEditPart, hideFocus, removeSelectionListener, setFocus, setSelectedState, showFocus, showPrimarySelection`

### Methods inherited from class org.eclipse.gef.editpolicies.GraphicalEditPolicy

`addFeedback, getFeedbackLayer, getHost, getHostFigure, getLayer, removeFeedback`

### Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy

`debugFeedback, eraseTargetFeedback, setHost, showTargetFeedback, toString, understandsRequest`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConnectionBendpointEditPolicy

public ConnectionBendpointEditPolicy(IConfigurationProviderInternal configurationProvider)

## Method Details

### activate

public void activate()
Description copied from class: `BendpointEditPolicyFixed`
`activate()` is extended to add a listener to the `Connection` figure.

Specified by:
  `activate` in interface `org.eclipse.gef.EditPolicy`
Overrides:
  `activate` in class `BendpointEditPolicyFixed`
See Also:
  - `EditPolicy.activate()`

### getCreateBendpointCommand

protected org.eclipse.gef.commands.Command getCreateBendpointCommand(org.eclipse.gef.requests.BendpointRequest request)
Description copied from class: `BendpointEditPolicyFixed`
Implement this method to return a Command that will create a bendpoint.

Specified by:
  `getCreateBendpointCommand` in class `BendpointEditPolicyFixed`
Parameters:
  `request` - the BendpointRequest
Returns:
  a Command to create a bendpoint

### getDeleteBendpointCommand

protected org.eclipse.gef.commands.Command getDeleteBendpointCommand(org.eclipse.gef.requests.BendpointRequest request)
Description copied from class: `BendpointEditPolicyFixed`
Implement this method to return a Command that will delete a bendpoint.

Specified by:
  `getDeleteBendpointCommand` in class `BendpointEditPolicyFixed`
Parameters:
  `request` - the BendpointRequest
Returns:
  a Command to delete a bendpoint

### getMoveBendpointCommand

protected org.eclipse.gef.commands.Command getMoveBendpointCommand(org.eclipse.gef.requests.BendpointRequest request)
Description copied from class: `BendpointEditPolicyFixed`
Implement this method to return a Command that will move a bendpoint.

Specified by:
  `getMoveBendpointCommand` in class `BendpointEditPolicyFixed`
Parameters:
  `request` - the BendpointRequest
Returns:
  a Command to move a bendpoint

### showCreateBendpointFeedback

protected void showCreateBendpointFeedback(org.eclipse.gef.requests.BendpointRequest request)
Description copied from class: `BendpointEditPolicyFixed`
Shows feedback when a bendpoint is being created. The original figure is used for feedback and the original constraint is saved, so that it can be restored when feedback is erased.

Overrides:
  `showCreateBendpointFeedback` in class `BendpointEditPolicyFixed`
Parameters:
  `request` - the BendpointRequest

### showMoveBendpointFeedback

protected void showMoveBendpointFeedback(org.eclipse.gef.requests.BendpointRequest request)
Description copied from class: `BendpointEditPolicyFixed`
Shows feedback when a bendpoint is being moved. Also checks to see if the bendpoint should be deleted and then calls `BendpointEditPolicyFixed.showDeleteBendpointFeedback(BendpointRequest)` if needed. The original figure is used for feedback and the original constraint is saved, so that it can be restored when feedback is erased.

Overrides:
  `showMoveBendpointFeedback` in class `BendpointEditPolicyFixed`
Parameters:
  `request` - the BendpointRequest

### createHandlesForAutomaticBendpoints

protected List<org.eclipse.gef.handles.BendpointHandle> createHandlesForAutomaticBendpoints()

Overrides:
  `createHandlesForAutomaticBendpoints` in class `BendpointEditPolicyFixed`

### createHandlesForUserBendpoints

protected List<org.eclipse.gef.handles.BendpointHandle> createHandlesForUserBendpoints()

Overrides:
  `createHandlesForUserBendpoints` in class `BendpointEditPolicyFixed`

### setReferencePoints

protected void setReferencePoints(org.eclipse.gef.requests.BendpointRequest request)

Overrides:
  `setReferencePoints` in class `BendpointEditPolicyFixed`

### showSelection

protected void showSelection()

Overrides:
  `showSelection` in class `org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy`